=== debian/changelog ===
python-polyfactory (2.18.1-1) unstable; urgency=medium

  * [9c89b91] New upstream version 2.18.1
  * [035a345] First and basic Debianization
    (Closes: #1092011)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 05 Mar 2025 17:30:37 +0200
