=== debian/control ===
Source: python-polyfactory
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
Build-Depends-Indep:
 faker <!nocheck>,
 faker-doc <!nodoc>,
 pybuild-plugin-pyproject,
 python-msgspec-doc <!nodoc>,
 python-pytest-doc <!nodoc>,
 python3-aiosqlite <!nocheck>,
 python3-annotated-types <!nocheck>,
 python3-auto-pytabs <!nodoc>,
 python3-beanie <!nocheck>,
 python3-bson <!nocheck>,
 python3-doc <!nodoc>,
 python3-hatchling,
 python3-hypothesis <!nocheck>,
 python3-msgspec <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autobuild <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-paramlinks <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
## git-cliff??? <!nodoc>,
 python3-sphinx-togglebutton <!nodoc>,
 python3-sphinx-toolbox <!nodoc>,
 python3-sqlalchemy <!nocheck>,
## litestar-sphinx-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/litestar-org/polyfactory
Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-polyfactory-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Simple and powerful factories for mock data generation (Documentation)
 Polyfactory is a simple and powerful mock data generation library, based
 around type hints and supporting dataclasses, typed-dicts, pydantic models,
 msgspec structs and more.
 .
 Polyfactory is part of the Litestar project and as such actively maintained
 by a community of maintainers and contributors.
 .
 This package contains the documentation for python3-polyfactory.

Package: python3-polyfactory
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-polyfactory-doc,
 python3-beanie,
 python3-bson,
 python3-msgspec,
 python3-odmantic,
 python3-pydantic,
 python3-sqlalchemy,
Description: Simple and powerful factories for mock data generation (Python 3)
 Polyfactory is a simple and powerful mock data generation library, based
 around type hints and supporting dataclasses, typed-dicts, pydantic models,
 msgspec structs and more.
 .
 Polyfactory is part of the Litestar project and as such actively maintained
 by a community of maintainers and contributors.
 .
 Note that you will need to install additional packages depending on the type
 of factories you want to use! Have a look at the Suggests field.
 .
 This package contains the Python 3 version.
