=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 faker,
 python3-aiosqlite,
 python3-all,
 python3-annotated-types,
 python3-beanie,
 python3-bson,
 python3-hypothesis,
 python3-msgspec,
 python3-pydantic,
 python3-pymongo,
 python3-pytest,
 python3-pytest-asyncio,
 python3-sqlalchemy,
 @,
Restrictions:
 allow-stderr,
