## python-polyfactory 2.21.0

=== debian/changelog ===
python-polyfactory (2.21.0-1) unstable; urgency=medium

  * [c9a186a] New upstream version 2.21.0
  * [80a1ade] Rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
    fix-make-type-alias-detection-work-with-typing_extensions.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Apr 2025 20:34:10 +0200

python-polyfactory (2.20.0-2) unstable; urgency=medium

  * [5dbb547] Rebuild patch queue from patch-queue branch
    Added patch:
    fix-make-type-alias-detection-work-with-typing_extensions.patch
    (Closes: #1101863)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Apr 2025 08:09:21 +0200

python-polyfactory (2.20.0-1) unstable; urgency=medium

  * [462b20e] New upstream version 2.20.0
  * [c66729c] autopkgtest: Restrict tests to 64bit and LE architectures

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Mar 2025 17:00:13 +0200

python-polyfactory (2.19.0-1) unstable; urgency=medium

  * [e2990eb] New upstream version 2.19.0
  * [5ec4d00] d/salsa-ci.yml: Add a Salsa CI config
  * [7761674] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 13 Mar 2025 16:03:06 +0200
