=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
 ## litestar-sphinx-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
