=== debian/changelog ===
python-polyfactory (2.22.2-2) unstable; urgency=medium

  * Team upload.
  * [89a7b21] d/control: Drop <!nocheck> from faker. Closes: #1116869.
  * [bd3e677] d/control: Drop "Rules-Requires-Root: no" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 10:30:00 +0200

python-polyfactory (2.22.2-1) unstable; urgency=medium

  * [8b27137] d/watch: Convert to version 5
  * [b6a5a4d] New upstream version 2.22.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Aug 2025 16:39:50 +0200
