=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
 Build-Depends-Indep:
- faker <!nocheck>,
+ faker,
  faker-doc <!nodoc>,
  pybuild-plugin-pyproject,
  python-msgspec-doc <!nodoc>,
@@ -45,7 +45,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-polyfactory-doc
 Section: doc
