=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

SPHINXOPTS := -E -N

export PYBUILD_NAME=polyfactory
# test_beanie_factory.py requires https://github.com/michaelkryukov/mongomock_motor gets packaged
export PYBUILD_TEST_ARGS=\
 --ignore tests/test_beanie_factory.py \
 -k 'not test_optional_url_field_parsed_correctly \
 and not test_type_property_parsing \
'

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache .pytest_cache debian/.cache
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR)/debian \
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html
