=== debian/tests/control ===
--- 
+++ 
@@ -17,3 +17,5 @@
  @,
 Restrictions:
  allow-stderr,
+Architecture:
+ amd64 arm64 ppc64el riscv64
