## python-polyfactory 3.0.0

=== debian/changelog ===
python-polyfactory (3.0.0-1) unstable; urgency=medium

  * [3ddb6a8] New upstream version 3.0.0
  * [fd0c197] Rebuild patch queue from patch-queue branch
    Adjusted patches:
    docs-Use-sphinx_rtd_theme-as-html_theme.patch
    docs-index.rst-Don-t-use-external-linking-to-graphics.patch
    docs-index.rst-Use-local-available-graphic.patch
    Dropped patch:
    docs-Ignore-file-versioning.js.patch
  * [6ba4823] d/control: Drop commented out build-deps
  * [72ab58d] d/README.source: Some small updates
  * [4c52b2d] d/control: Move python3-attr to Recommends
  * [6703905] autopkgtest: Add python-attr as an env dep
  * [0f51b87] d/salsa-ci.yml: Adjust the CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Nov 2025 18:02:15 +0200

python-polyfactory (2.22.2-3) unstable; urgency=medium

  * Team upload.
  * Add depedency on python3-attr

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 19:09:02 +0100
