=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-pytest-doc <!nodoc>,
  python3-aiosqlite <!nocheck>,
  python3-annotated-types <!nocheck>,
+ python3-attr <!nocheck>,
  python3-auto-pytabs <!nodoc>,
  python3-beanie <!nocheck>,
  python3-bson <!nocheck>,
@@ -35,11 +36,9 @@
  python3-sphinx-design <!nodoc>,
  python3-sphinx-paramlinks <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-## git-cliff??? <!nodoc>,
  python3-sphinx-togglebutton <!nodoc>,
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
-## litestar-sphinx-theme <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
@@ -70,6 +69,7 @@
  ${python3:Depends},
 Suggests:
  python-polyfactory-doc,
+ python3-attr,
  python3-beanie,
  python3-bson,
  python3-msgspec,
