## python-polyfactory 3.1.0

=== debian/changelog ===
python-polyfactory (3.1.0-1) unstable; urgency=medium

  * [4848858] New upstream version 3.1.0
  * [370fd0b] d/control: Set versioned B-D on python3-msgspec
  * [eafb444] d/control: Also set version on suggested python3-msgspec

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Nov 2025 16:52:56 +0200
