=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-doc <!nodoc>,
  python3-hatchling,
  python3-hypothesis <!nocheck>,
- python3-msgspec <!nocheck>,
+ python3-msgspec (>= 0.20.0) <!nocheck>,
  python3-pydantic <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pytest <!nocheck>,
@@ -72,7 +72,7 @@
  python3-attr,
  python3-beanie,
  python3-bson,
- python3-msgspec,
+ python3-msgspec (>= 0.20.0),
  python3-odmantic,
  python3-pydantic,
  python3-sqlalchemy,
