=== debian/changelog ===
python-polyfactory (3.2.0-1) unstable; urgency=medium

  * [7a9de78] New upstream version 3.2.0
  * [5b392d4] Rebuild patch queue from patch-queue branch
  * [57f9021] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 Dec 2025 16:32:24 +0200
