=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-sphinx-togglebutton <!nodoc>,
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
