=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  python3-aiosqlite,
  python3-all,
  python3-annotated-types,
+ python3-attr,
  python3-beanie,
  python3-bson,
  python3-hypothesis,
